Bug 67333 - [SNB/IVB/HSW]Piglit spec_ARB_shading_language_420pack_compiler_qualifiers_no-aux-qual-on-fs-output.frag fail
Summary: [SNB/IVB/HSW]Piglit spec_ARB_shading_language_420pack_compiler_qualifiers_no-...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: glsl-compiler (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 67224
  Show dependency treegraph
 
Reported: 2013-07-26 05:52 UTC by lu hua
Modified: 2013-08-07 02:00 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2013-07-26 05:52:37 UTC
System Environment:
--------------------------
Platform:    Sandybridge/ivybridge/haswell
Libdrm:		(master)libdrm-2.4.46-2-gfea5408098c3c3057958e85ea9d7146f0b08749e
Mesa:		(9.2)ee421aec32aa543d8409a053ca3472e8997ddd30
Xserver:	(server-1.13-branch)xorg-server-1.13.4
Xf86_video_intel:(master)2.21.12-49-gef2a45731ef55b9fbafe5da67e0251b9b871bda9
Cairo:		(master)03c81d414d4edb710c91f96ddb7dbf73e5432583
Libva:		(master)d2dbc3f69c69e5933e7b3da429c0fb0cae5b98b0
Libva_intel_driver:(master)8bf807539c1790d6eee531373131672d38c82b31
Kernel:	(drm-intel-fixes) b250da79a0c972ef7f6d58ebd1083cab066e6c82

Bug detailed description:
-------------------------
It fails on sandybridge,ivybridge and haswell with mesa master and 9.2 branch. It skipped on mesa 9.1 branch.

output on 9.2:
Successfully compiled fragment shader tests/spec/arb_shading_language_420pack/compiler/qualifiers/no-aux-qual-on-fs-output.frag:
Shader source:
/* [config]
 * expect_result: fail
 * glsl_version: 1.30
 * require_extensions: GL_ARB_shading_language_420pack
 * [end config]
 *
 * From the GL_ARB_shading_language_420pack spec:
 *
 *    "It is an error to use auxiliary storage qualifiers or interpolation
 *     qualifiers on an output in a fragment shader."
 *
 * Test that an auxiliary qualifier on a fragment shader output results in
 * a compile error.
 */
#version 130
#extension GL_ARB_shading_language_420pack: enable
centroid out float x;

PIGLIT: {'result': 'fail' }

output on 9.1:
Test requires GL_ARB_shading_language_420pack
PIGLIT: {'result': 'skip' }

Reproduce steps:
----------------------------
1. xinit
2. ./bin/glslparsertest tests/spec/arb_shading_language_420pack/compiler/qualifiers/no-aux-qual-on-fs-output.frag fail 1.30 GL_ARB_shading_language_420pack
Comment 1 Kenneth Graunke 2013-07-27 04:24:56 UTC
Patch on the mailing list:
http://lists.freedesktop.org/archives/mesa-dev/2013-July/042357.html
Comment 2 Kenneth Graunke 2013-07-27 17:38:13 UTC
Fixed by:

commit 17856726c94000bf16156f7f9acea77a271a6005
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Fri Jul 26 21:18:56 2013 -0700

    glsl: Disallow auxiliary storage qualifiers on FS outputs.
    
    This has always been an error; we just forgot to check for it.
    
    Fixes Piglit's no-aux-qual-on-fs-output.frag.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=67333
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Cc: mesa-stable@lists.freedesktop.org
Comment 3 lu hua 2013-07-29 02:53:11 UTC
Fixed on master branch. I will close it when fixed on 9.2 branch.
Comment 4 lu hua 2013-08-07 02:00:05 UTC
Fixed on 9.2 branch.
Verified.Fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.